Index: modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/Authorization.java
===================================================================
--- modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/Authorization.java	(revision 50947)
+++ modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/Authorization.java	(revision 50948)
@@ -53,7 +53,17 @@
         return isRegistered(userInfo);
 
     }
+    public void logStatus(String token, String cookie) {
 
+        if(token == null || token.isEmpty()) {
+            logger.debug("No proper value: header \"X-XSRF-TOKEN\" has value " + token);
+        }else if(cookie == null || cookie.isEmpty() || !cookie.equals(token)) {
+            logger.debug("No proper value: cookie  \"AccessToken\" has value  " + cookie);
+        }else if( !cookie.equals(token)) {
+            logger.debug("No proper values:for cookie " + cookie + " and token "+token);
+        }
+    }
+
     public boolean isRegistered(UserInfo userInfo) {
         if (userInfo != null && userInfo.getEdu_person_entitlements() != null) {
 
Index: modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/HelloWorldService.java
===================================================================
--- modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/HelloWorldService.java	(revision 50947)
+++ modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/HelloWorldService.java	(revision 50948)
@@ -67,10 +67,9 @@
                                      @HeaderParam("X-XSRF-TOKEN") String token,
                                      @CookieParam("AccessToken") String  cookie,
                            @Context HttpServletRequest request) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
+            authorization.logStatus(token,cookie);
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
                     .type(MediaType.APPLICATION_JSON)
                     .build();
@@ -125,10 +124,10 @@
                                      @HeaderParam("X-XSRF-TOKEN") String token,
                                      @CookieParam("AccessToken") String  cookie,
                                      @Context HttpServletRequest request) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
+            authorization.logStatus(token,cookie);
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
                     .type(MediaType.APPLICATION_JSON)
                     .build();
@@ -195,10 +194,10 @@
                                      @HeaderParam("X-XSRF-TOKEN") String token,
                                      @CookieParam("AccessToken") String  cookie,
                                      @Context HttpServletRequest request) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
+            authorization.logStatus(token,cookie);
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
                     .type(MediaType.APPLICATION_JSON)
                     .build();
@@ -253,10 +252,10 @@
                                     @HeaderParam("X-XSRF-TOKEN") String token,
                                     @CookieParam("AccessToken") String  cookie,
                                     @Context HttpServletRequest request) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
+            authorization.logStatus(token,cookie);
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
                     .type(MediaType.APPLICATION_JSON)
                     .build();
@@ -310,8 +309,7 @@
                                   @HeaderParam("X-XSRF-TOKEN") String token,
                                   @CookieParam("AccessToken") String  cookie,
                                   @Context HttpServletRequest request) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -372,8 +370,7 @@
                                   @HeaderParam("X-XSRF-TOKEN") String token,
                                   @CookieParam("AccessToken") String  cookie,
                                   @Context HttpServletRequest request) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -433,8 +430,7 @@
                                  @CookieParam("AccessToken") String  cookie,
                                   @Context HttpServletRequest request) {
 
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
         logger.debug("Header  \"Origin\" has value  " + origin);
    
 
@@ -564,8 +560,7 @@
                                      @HeaderParam("Origin") String origin,
                                      @CookieParam("AccessToken") String  cookie){
 
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
          if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)|| !authorization.hasValidOrigin(origin)){
              return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -628,8 +623,7 @@
                              @HeaderParam("X-XSRF-TOKEN") String token,
                              @HeaderParam("Origin") String origin,
                              @CookieParam("AccessToken") String  cookie) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token) || !authorization.hasValidOrigin(origin)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -702,8 +696,7 @@
                                   @HeaderParam("X-XSRF-TOKEN") String token,
                                   @HeaderParam("Origin") String origin,
                                   @CookieParam("AccessToken") String  cookie) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)|| !authorization.hasValidOrigin(origin)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -807,8 +800,7 @@
                                      @HeaderParam("X-XSRF-TOKEN") String token,
                                      @HeaderParam("Origin") String origin,
                                      @CookieParam("AccessToken") String  cookie) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)|| !authorization.hasValidOrigin(origin)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -876,10 +868,10 @@
                                     @HeaderParam("X-XSRF-TOKEN") String token,
                                     @HeaderParam("Origin") String origin,
                                     @CookieParam("AccessToken") String  cookie) {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
 
+
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)|| !authorization.hasValidOrigin(origin)){
+             
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
                     .type(MediaType.APPLICATION_JSON)
                     .build();
@@ -926,8 +918,7 @@
     @Produces(MediaType.APPLICATION_JSON)
     public Response fetchCommunities(@HeaderParam("X-XSRF-TOKEN") String token,
                                      @CookieParam("AccessToken") String  cookie) throws ISLookUpServiceException {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -955,8 +946,7 @@
     public Response fetchCommunityCategories(@PathParam("communityid") String communityid,
                                              @HeaderParam("X-XSRF-TOKEN") String token,
                                              @CookieParam("AccessToken") String  cookie) throws ISLookUpServiceException {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
@@ -991,8 +981,7 @@
     public Response fetchCategoryConcepts(@PathParam("categoryid") String categoryid,
                                           @HeaderParam("X-XSRF-TOKEN") String token,
                                           @CookieParam("AccessToken") String  cookie) throws ISLookUpServiceException {
-        logger.debug("header \"X-XSRF-TOKEN\" has value " + token);
-        logger.debug("cookie  \"AccessToken\" has value  " + cookie);
+         
 
         if(token == null || token.isEmpty() || cookie == null || cookie.isEmpty() || !cookie.equals(token)){
             return Response.status(Response.Status.FORBIDDEN).entity(compose403Message("Forbidden: You don't have permission to access. Maybe you are not registered."))
Index: modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/inputHandler/UserHandler.java
===================================================================
--- modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/inputHandler/UserHandler.java	(revision 50947)
+++ modules/uoa-claims-api/trunk/src/main/java/eu/dnetlib/openaire/rest/inputHandler/UserHandler.java	(revision 50948)
@@ -87,6 +87,7 @@
 
             for (int i = 0; i < userInfo.getEdu_person_entitlements().size(); i++) {
                 String role = userInfo.getEdu_person_entitlements().get(i);
+                logger.debug("AAI role: "+role);
                 role = role.split(":")[role.split(":").length-1];
                 role = role.replace("+"," ");
                 logger.debug("Adding parsed role : "+role);
Index: modules/uoa-claims-api/trunk/src/main/resources/eu/dnetlib/openaire/rest/springContext-claims-authorization.properties
===================================================================
--- modules/uoa-claims-api/trunk/src/main/resources/eu/dnetlib/openaire/rest/springContext-claims-authorization.properties	(revision 50947)
+++ modules/uoa-claims-api/trunk/src/main/resources/eu/dnetlib/openaire/rest/springContext-claims-authorization.properties	(revision 50948)
@@ -3,4 +3,4 @@
 services.claims.authorization.originServer = http://scoobydoo.di.uoa.gr:5000
 services.claims.authorization.registeredRoles = OpenAIRE Super Administrator,OpenAIRE Portal Administrator,OpenAIRE Expert - Community,OpenAIRE Expert - Funder,OpenAIRE Curator - Claim,OpenAIRE Curator - Project,OpenAIRE Curator - Community,OpenAIRE Curator - Institution,OpenAIRE Author,Registered User,User Manager
 services.claims.authorization.adminRoles = OpenAIRE Super Administrator,OpenAIRE Curator - Claim,OpenAIRE Portal Administrator
-services.claims.authorization.projectCuratorRoles = OpenAIRE Curator - Project
+services.claims.authorization.projectCuratorRoles = OpenAIRE Curator - Project,OpenAIRE Super Administrator,OpenAIRE Curator - Claim,OpenAIRE Portal Administrator