Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-forms/datasource-update-form.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-forms/datasource-update-form.component.ts	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-forms/datasource-update-form.component.ts	(revision 51100)
@@ -149,10 +149,19 @@
         this.updateGroup.get('softwarePlatform').setValue('');
         this.updateGroup.get('platformName').setValue(this.selectedRepo.typology);
       }
+      this.updateGroup.get('officialName').disable();
+      this.updateGroup.get('country').disable();
+      this.updateGroup.get('longtitude').disable(); // MAYBE NOT DISABLED
+      this.updateGroup.get('latitude').disable();   // MAYBE NOT DISABLED
+      this.updateGroup.get('websiteUrl').disable();
+      this.updateGroup.get('institutionName').disable();
       if (this.selectedRepo.datasourceType == 'journal') {
         this.updateGroup.get('issn').setValue(this.selectedRepo.issn);
-          this.updateGroup.get('eissn').setValue(this.selectedRepo.eissn);
+        this.updateGroup.get('issn').disable();
+        this.updateGroup.get('eissn').setValue(this.selectedRepo.eissn);
+        this.updateGroup.get('eissn').disable();
         this.updateGroup.get('lissn').setValue(this.selectedRepo.lissn);
+        this.updateGroup.get('lissn').disable();
       }
     }
   }
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-forms/datasource-create-form.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-forms/datasource-create-form.component.ts	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-forms/datasource-create-form.component.ts	(revision 51100)
@@ -212,7 +212,6 @@
 
   createNewRepository(): Repository {
     let newRepo: Repository = new Repository();
-    newRepo.dateOfCreation = new Date(Date.now());
     newRepo.officialName = this.group.get('officialName').value;
     newRepo.englishName = this.group.get('englishName').value;
     newRepo.websiteUrl = this.group.get('websiteUrl').value;
@@ -232,6 +231,8 @@
     newRepo.lissn = this.group.get('lissn').value;
     newRepo.registeredBy = this.authService.userEmail;
     newRepo.datasourceType = this.mode;
+
+    newRepo.dateOfCreation = new Date(Date.now()); //is this correct ?????
     newRepo.registered = true;
 
     return newRepo;
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-update.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-update.component.html	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/sources/sources-update.component.html	(revision 51100)
@@ -1,3 +1,63 @@
+<!--
+<div class="uk-section-default uk-section uk-section-small uk-padding-remove-bottom" style="min-height: 325px">
+  <div class="uk-container">
+    <div class="uk-grid-margin uk-grid uk-grid-stack" uk-grid="">
+      <div class="uk-width-1-1@m uk-first-column">
+
+        <h1 class="uk-h2">{{title}}</h1>
+        &lt;!&ndash;<hr class="uk-divider-small">&ndash;&gt;
+
+        &lt;!&ndash;<div class="uk-margin">&ndash;&gt;
+        &lt;!&ndash;Paste the copied XML file below, or use one of the options to upload and preview the XML file&ndash;&gt;
+        &lt;!&ndash;before you submit it.&ndash;&gt;
+        &lt;!&ndash;</div>&ndash;&gt;
+
+        &lt;!&ndash; TOP HELP CONTENT &ndash;&gt;
+        <help-content #topHelperContent [position]="'top'"
+                      [ngClass]="topHelperContent.isPresent()?'uk-margin-medium-top uk-margin-medium-bottom':'clear-style'">
+        </help-content>
+
+        <div class="uk-container uk-margin-medium-top uk-margin-medium-bottom">
+          <div class="uk-grid">
+
+            &lt;!&ndash; LEFT HELP CONTENT &ndash;&gt;
+            <aside-help-content #leftHelperContent [position]="'left'"
+                                [ngClass]="leftHelperContent.isPresent()?'tm-sidebar uk-width-1-4@m uk-first-column':'clear-style'">
+            </aside-help-content>
+
+            &lt;!&ndash; MIDDLE &ndash;&gt;
+            <div class=" uk-width-expand@m">
+
+              Coming soon...
+
+            </div>
+
+            &lt;!&ndash; RIGHT HELP CONTENT &ndash;&gt;
+            <aside-help-content #rightHelperContent [position]="'right'"
+                                [ngClass]="rightHelperContent.isPresent()?'tm-sidebar uk-width-1-4@m uk-first-column':'clear-style'">
+            </aside-help-content>
+
+          </div>
+        </div>
+
+
+        &lt;!&ndash; BOTTOM HELP CONTENT &ndash;&gt;
+        <help-content #bottomHelperContent [position]="'bottom'"
+                      [ngClass]="bottomHelperContent.isPresent()?'uk-margin-medium-top uk-margin-medium-bottom':'clear-style'">
+        </help-content>
+
+
+      </div>
+    </div>
+  </div>
+</div>
+-->
+
+
+
+
+
+
 <div class="uk-grid-margin uk-grid uk-grid-stack">
   <aside-help-content #rightHelperContent [position]="'left'"
                       [ngClass]="rightHelperContent.isPresent()?'tm-sidebar uk-width-1-4@m uk-first-column':'clear-style'">
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validate-forms/compatibility-validate-step2.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validate-forms/compatibility-validate-step2.component.ts	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validate-forms/compatibility-validate-step2.component.ts	(revision 51100)
@@ -137,6 +137,9 @@
         break;
       }
     }
+
+    emitted.push(this.ruleSets[index].guidelinesAcronym);
+
     console.log(`saving the selected rules`);
     let contentRules = <FormArray>this.group.controls['contentRules'];
     let selectedContent: number[] = [];
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validate-type.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validate-type.component.ts	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validate-type.component.ts	(revision 51100)
@@ -38,6 +38,7 @@
 
   chosenUrl: string;
   identifiedUrl: boolean;
+  chosenGuidelinesAcronym: string;
   chosenContentRules: number[];
   chosenUsageRules: number[];
   chosenValSet: string;
@@ -212,8 +213,9 @@
   }
 
   getChosenRules(rules: any[]) {
-    this.chosenContentRules = rules[0];
-    this.chosenUsageRules = rules[1];
+    this.chosenGuidelinesAcronym = rules[0];
+    this.chosenContentRules = rules[1];
+    this.chosenUsageRules = rules[2];
   }
 
   getChosenParameters (params: string[]) {
@@ -243,6 +245,9 @@
       selectedContentRules: this.chosenContentRules,
       selectedUsageRules: this.chosenUsageRules,
 
+      desiredCompatibilityLevel: this.chosenGuidelinesAcronym,
+      baseUrl: this.chosenUrl,
+
       validationSet: this.chosenValSet,
       records: this.noOfRecords,
       groupByXpath: this.xPath,
@@ -250,19 +255,18 @@
       cris: isCris,
       crisReferentialChecks: this.crisRefIntegrity,
 
+      userEmail: this.authService.userEmail,
+
       adminEmails: [],
       officialName: '',
-      baseUrl: '',
-      userEmail: '',
       datasourceId: '',
       interfaceId: '',
-      desiredCompatibilityLevel: '',
       activationId: '',
       repoType: '',
       interfaceIdOld: '',
       metadataPrefix: '',
 
-      registration: null,
+      registration: false,
       updateExisting: null
     }
   }
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-events.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-events.component.html	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-events.component.html	(revision 51100)
@@ -3,6 +3,7 @@
     <div class="uk-margin-medium-bottom">
       <h1 class="uk-article-title">Enrich Your Content - Browse Events</h1>
     </div>
+    <a [routerLink]="'Nemertes'">PUSH ME!</a>
     <repository-tiles [parent]="'contentEvents'"></repository-tiles>
   </div>
 </div>
Index: modules/uoa-repository-dashboard-gui/trunk/app/domain/typeScriptClasses.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/domain/typeScriptClasses.ts	(revision 51099)
+++ modules/uoa-repository-dashboard-gui/trunk/app/domain/typeScriptClasses.ts	(revision 51100)
@@ -52,11 +52,11 @@
 }
 
 export class DriverResource implements Serializable {
-    resourceId: string = null;
-    resourceUri: string = null;
-    resourceKind: string = null;
-    resourceType: string = null;
-    dateOfCreation: Date = null;
+    resourceId: string;
+    resourceUri: string;
+    resourceKind: string;
+    resourceType: string;
+    dateOfCreation: Date;
 }
 
 export class MDFormatDataStructure extends DriverResource {
@@ -79,7 +79,7 @@
     comment: string;
 }
 
-export class Repository extends DriverResource implements IsSerializable {
+/*export class Repository extends DriverResource implements IsSerializable {
     id: string = null;
     officialName: string = null;
     englishName: string = '';
@@ -151,6 +151,80 @@
     registrationDate: Date = null;
     verified: boolean = false;
     dataCollectionTypes: DataCollectionType[] = [];
+}*/
+
+export class Repository extends DriverResource implements IsSerializable {
+  id: string;
+  officialName: string;
+  englishName: string;
+  websiteUrl: string;
+  logoUrl: string;
+  contactEmail: string;
+  countryName: string;
+  countryCode: string;
+  organization: string;
+  latitude: number;
+  longitude: number;
+  timezone: number;
+  namespacePrefix: string;
+  odNumberOfItems: string;
+  odNumberOfItemsDate: string;
+  odPolicies: string;
+  odLanguages: string;
+  odContentTypes: string;
+  collectedFrom: string;
+  inferred: boolean;
+  deletedByInference: boolean;
+  trust: number;
+  inferenceProvenance: string;
+  dateOfValidation: Date;
+  datasourceClass: string;
+  provenanceActionClass: string;
+  dateOfCollection: Date;
+  typology: string;
+  activationId: string;
+  mergehomonyms: boolean;
+  description: string;
+  releaseStartDate: Date;
+  releaseEndDate: Date;
+  missionStatementUrl: string;
+  dataProvider: boolean;
+  serviceProvider: boolean;
+  databaseAccessType: string;
+  dataUploadType: string;
+  databaseAccessRestriction: string;
+  dataUploadRestriction: string;
+  versioning: boolean;
+  citationGuidelineUrl: string;
+  qualityManagementKind: string;
+  pidSystems: string;
+  certificates: string;
+  aggregator: string;
+  issn: string;
+  eissn: string;
+  lissn: string;
+  interfaces: RepositoryInterface[];
+  availableDiskSpace: string;
+  securityParameters: string;
+  protocol: string;
+  registeredBy: string;
+  datasourceType: string;
+  datasourceAggregatorId: string;
+  datasourceOriginalIdValue: string;
+  datasourceOriginalIdProvenance: string;
+  datasourceAggregated: boolean;
+  datasourceComplianceDegreeValue: string;
+  datasourceComplianceDegreeEncoding: string;
+  numberOfObjects: number;
+  maxSizeOfDatastructure: number;
+  maxNumberOfDataStructures: number;
+  registered: boolean;
+  extraFields: { [index: string]: string };
+  piwikInfo: PiwikInfo;
+  environments: string[];
+  registrationDate: Date;
+  verified: boolean;
+  dataCollectionTypes: DataCollectionType[];
 }
 
 export class RepositoryAccessProtocol {
@@ -176,7 +250,7 @@
 export class RepositoryComparator implements Comparator<Repository> {
 }
 
-export class RepositoryInterface implements Serializable, IsSerializable {
+/*export class RepositoryInterface implements Serializable, IsSerializable {
     desiredCompatibilityLevel: string = '';
     complianceName: string = null;
     upgradeToV3: string = '';
@@ -198,6 +272,30 @@
     removable: boolean = false;
     accessParams: { [index: string]: string } = {};
     extraFields: { [index: string]: string } = {};
+}*/
+
+export class RepositoryInterface implements Serializable, IsSerializable {
+  desiredCompatibilityLevel: string;
+  complianceName: string;
+  upgradeToV3: string;
+  deleteApi: boolean;
+  accessSet: string;
+  accessFormat: string;
+  metadataIdentifierPath: string;
+  lastCollectionDate: string;
+  nextScheduledExecution: string;
+  status: string;
+  collectedFrom: string;
+  id: string;
+  typology: string;
+  compliance: string;
+  contentDescription: string;
+  accessProtocol: string;
+  baseUrl: string;
+  active: boolean;
+  removable: boolean;
+  accessParams: { [index: string]: string };
+  extraFields: { [index: string]: string };
 }
 
 export class SearchCriteriaImpl implements SearchCriteria {