Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/ValidationServiceImpl.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/ValidationServiceImpl.java	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/services/ValidationServiceImpl.java	(revision 51141)
@@ -54,6 +54,7 @@
 
     @PostConstruct
     public void initRulesets() {
+        LOGGER.info("initializing validation service impl ");
         //this.loadRulesets();
     }
 
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/config/FrontEndLinkURIAuthenticationSuccessHandler.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/config/FrontEndLinkURIAuthenticationSuccessHandler.java	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/config/FrontEndLinkURIAuthenticationSuccessHandler.java	(revision 51141)
@@ -30,7 +30,7 @@
 
         LOGGER.debug(authentication.getName());
 
-        /*OIDCAuthenticationToken authOIDC = (OIDCAuthenticationToken) authentication;
+        OIDCAuthenticationToken authOIDC = (OIDCAuthenticationToken) authentication;
         Cookie sessionCookie = new Cookie("currentUser", authOIDC.getSub());
 
         int expireSec = -1;
@@ -37,7 +37,7 @@
         sessionCookie.setMaxAge(expireSec);
         sessionCookie.setPath("/");
         response.addCookie(sessionCookie);
-        response.sendRedirect(frontEndURI);*/
+        response.sendRedirect(frontEndURI);
     }
 
     public String getFrontEndURI() {
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/config/Config.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/config/Config.java	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/server/config/Config.java	(revision 51141)
@@ -1,4 +1,3 @@
-/*
 package eu.dnetlib.repo.manager.server.config;
 
 import org.apache.log4j.Logger;
@@ -20,13 +19,13 @@
 
     private static Logger LOGGER = Logger.getLogger(Config.class);
 
-    @Value("${rediss.host:localhost}")
+    @Value("${redis.host:194.177.192.121}")
     private String host;
 
-    @Value("${rediss.port:6379}")
+    @Value("${redis.port:6379}")
     private String port;
 
-    @Value("${rediss.password:#{null}}")
+    @Value("${redis.password:#{null}}")
     private String password;
 
     @PostConstruct
@@ -49,8 +48,8 @@
         DefaultCookieSerializer serializer = new DefaultCookieSerializer();
         serializer.setCookieName("SESSION"); // <1>
         serializer.setCookiePath("/"); // <2>
+        LOGGER.info("Serializer : " + serializer);
         return serializer;
     }
 
 }
-*/
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/config/springContext-repo-manager.xml
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/config/springContext-repo-manager.xml	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/config/springContext-repo-manager.xml	(revision 51141)
@@ -3,10 +3,8 @@
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:task="http://www.springframework.org/schema/task"
        xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.1.xsd
-
 		  http://www.springframework.org/schema/task http://www.springframework.org/schema/task/spring-task.xsd"
-       default-autowire="byType">
-
+       >
     <task:annotation-driven executor="myExecutor" scheduler="myScheduler"/>
     <task:executor id="myExecutor" pool-size="5"/>
     <task:scheduler id="myScheduler" pool-size="10"/>
@@ -22,4 +20,39 @@
         <property name="mode" value="${services.validator.mail.mode}"/>
         <property name="debug" value="${services.validator.mail.debug}"/>
     </bean>
+
+
+    <bean class="eu.dnetlib.repo.manager.server.config.CascadingPropertyLoader"
+          id="propertyLoader">
+        <property name="order" value="2"/>
+        <property name="properties">
+            <bean class="eu.dnetlib.conf.WebappContextProperyFactory">
+                <property name="propertyFetcher">
+                    <bean class="eu.dnetlib.conf.PropertyFetcher"/>
+                </property>
+            </bean>
+        </property>
+        <property name="ignoreUnresolvablePlaceholders" value="true"/>
+        <property name="locations">
+            <list>
+                <value>classpath*:/gr/**/springContext-*.properties</value>
+                <value>classpath*:/eu/**/springContext-*.properties</value>
+
+                <value>classpath*:/eu/dnetlib/repo/manager/server/email-texts.properties</value>
+
+                <value>classpath*:dnet-site-wizard.properties</value>
+                <value>classpath*:dnet-site-override.properties</value>
+                <value>classpath*:dnet-wizard.properties</value>
+                <value>classpath*:dnet-override.properties</value>
+                <value>classpath*:dnet-validator-wizard.properties</value>
+                <value>classpath*:dnet-validator-override.properties</value>
+                <value>classpath*:dnet-site-force-override.properties</value>
+                <value>classpath*:dnet-force-override.properties</value>
+
+                <value>classpath*:/eu/**/application.properties</value>
+
+            </list>
+        </property>
+    </bean>
+
 </beans>
\ No newline at end of file
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/config/aai-security.xml
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/config/aai-security.xml	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/config/aai-security.xml	(revision 51141)
@@ -13,6 +13,9 @@
         <property name="maxUploadSize" value="268435456"/>
     </bean>
 
+    <bean id="webexpressionHandler"
+          class="org.springframework.security.web.access.expression.DefaultWebSecurityExpressionHandler"/>
+
     <security:global-method-security pre-post-annotations="enabled" proxy-target-class="true" authentication-manager-ref="authenticationManager"/>
 
     <security:http auto-config="false" use-expressions="true"
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/springContext-repo-manager.properties
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/springContext-repo-manager.properties	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/resources/eu/dnetlib/repo/manager/server/springContext-repo-manager.properties	(revision 51141)
@@ -1,67 +1,69 @@
-## the address where validator is running and is accessible from the rest of the web
-#services.repo-manager.baseUrl = http://${container.hostname}:${container.port}/${container.context}
-#
-## base address for soap web services
-#transport.soap.baseAddress = http://${container.hostname}:${container.port}/${container.context}
-#
-#transport.soap.force.local.address = false
-#
-## the email of the administrator
-## he will receive all the automatic bug reports and feedback created
-#services.repo-manager.adminEmail = nikonas@di.uoa.gr
-#
-## if set to true, getRepositories will return dummy repositories
-#services.repo-manager.repository.testing.mode = false
-#
-#services.repo-manager.deploy.environment = development
-#
-## the mailhost for the mail service
-#services.validator.mail.host = smtp.gmail.com
-## the port where the mail service is running
-#services.validator.mail.port = 465
-## the address that appears in the from field in the mails send by the validator
-#services.validator.mail.fromAddress = no-reply@openaire.eu
-## the reply-to field value in the mails send by the validator
-#services.validator.mail.replyToAddress = no-reply@openaire.eu
-## the username of the account used to login in the mail server
-#services.validator.mail.username = test.openaire@gmail.com
-## the password of the account used to login in the mail server
-#services.validator.mail.password = ^($*@$)*!$
-## if authentication should take place
-## if set to false username and password is not needed
-#services.validator.mail.authenticate = true
-## is set to yes then all mails will not be sent to their targets but to the address specified in services.validator.mail.overrideEmail
-#services.validator.mail.override = false
-## if set to true then no mails are send, they are only logged as a debug message
-#services.validator.mail.logonly = false
-## the mode used for the mails send by the validator
-#services.validator.mail.mode = ssl
-## used by eu.dnetlib.utils.MailLibrary to control debuggin messages
-#services.validator.mail.debug = false
-## if services.validator.mail.override is true then all mails will be send only to this address
-#services.validator.mail.overrideEmail = nikonas@di.uoa.gr
-## a comma-seperated list of address that will receive all mails about validations and repo registrations
-#services.validator.mail.specialRecipients = nikonas@di.uoa.gr
-#
-## a comma-seperated list of addresses that have the ability to register repos without the need for validation and registration
-#services.validator.repoRegistration.override = nikonas@di.uoa.gr
-#
-#
-#repomanager.db.driverClassName = org.postgresql.Driver
-#repomanager.db.url = jdbc:postgresql://194.177.192.119:5432/repomanager
-#repomanager.db.username = dnet
-#repomanager.db.password = dnetPwd
-#
-#services.repomanager.analyticsURL = https://analytics.openaire.eu/addsite.php?
-#
-#services.repomanager.usageStatisticsDiagramsBaseURL = https://beta.openaire.eu/stats3/
-#services.repomanager.usageStatisticsNumbersBaseURL = https://beta.services.openaire.eu/usagestats/datasources/
-#services.repomanager.usagestats.adminEmail = repositoryusagestats@openaire.eu
+# the address where validator is running and is accessible from the rest of the web
+services.repo-manager.baseUrl = http://${container.hostname}:${container.port}/${container.context}
 
+# base address for soap web services
+transport.soap.baseAddress = http://${container.hostname}:${container.port}/${container.context}
+
+transport.soap.force.local.address = false
+
+# the email of the administrator
+# he will receive all the automatic bug reports and feedback created
+services.repo-manager.adminEmail = nikonas@di.uoa.gr
+
+# if set to true, getRepositories will return dummy repositories
+services.repo-manager.repository.testing.mode = false
+
+services.repo-manager.deploy.environment = development
+
+# the mailhost for the mail service
+services.validator.mail.host = smtp.gmail.com
+# the port where the mail service is running
+services.validator.mail.port = 465
+# the address that appears in the from field in the mails send by the validator
+services.validator.mail.fromAddress = no-reply@openaire.eu
+# the reply-to field value in the mails send by the validator
+services.validator.mail.replyToAddress = no-reply@openaire.eu
+# the username of the account used to login in the mail server
+services.validator.mail.username = test.openaire@gmail.com
+# the password of the account used to login in the mail server
+services.validator.mail.password = ^($*@$)*!$
+# if authentication should take place
+# if set to false username and password is not needed
+services.validator.mail.authenticate = true
+# is set to yes then all mails will not be sent to their targets but to the address specified in services.validator.mail.overrideEmail
+services.validator.mail.override = false
+# if set to true then no mails are send, they are only logged as a debug message
+services.validator.mail.logonly = false
+# the mode used for the mails send by the validator
+services.validator.mail.mode = ssl
+# used by eu.dnetlib.utils.MailLibrary to control debuggin messages
+services.validator.mail.debug = false
+# if services.validator.mail.override is true then all mails will be send only to this address
+services.validator.mail.overrideEmail = nikonas@di.uoa.gr
+# a comma-seperated list of address that will receive all mails about validations and repo registrations
+services.validator.mail.specialRecipients = nikonas@di.uoa.gr
+
+# a comma-seperated list of addresses that have the ability to register repos without the need for validation and registration
+services.validator.repoRegistration.override = nikonas@di.uoa.gr
+
+
+repomanager.db.driverClassName = org.postgresql.Driver
+repomanager.db.url = jdbc:postgresql://194.177.192.119:5432/repomanager
+repomanager.db.username = dnet
+repomanager.db.password = dnetPwd
+
+services.repomanager.analyticsURL = https://analytics.openaire.eu/addsite.php?
+
+services.repomanager.usageStatisticsDiagramsBaseURL = https://beta.openaire.eu/stats3/
+services.repomanager.usageStatisticsNumbersBaseURL = https://beta.services.openaire.eu/usagestats/datasources/
+services.repomanager.usagestats.adminEmail = repositoryusagestats@openaire.eu
+
 oidc.issuer = https://aai.openminted.eu/oidc/
 oidc.id = 24e83176-1312-4ba3-bc0b-ffeebea1603e
 oidc.secret = U_gLOupYu2trYIOwfxGgZkkZoOHG_zGfaViOUsXcZ7qVQuF1rcJeQYKIDX1TY3z27CIoHaqq9ht2rmAiUmBRYQ
-webapp.home = http://localhost:8380/provider-user-management/openid_connect_login
-webapp.front=http://localhost:8380/repomanager-aai/#dashboard
+webapp.home = http://adonis.athenarc.gr:8080/repomanager-aai/openid_connect_login
+webapp.front= http://adonis.athenarc.gr:8080/repomanager-aai/#dashboard
+#webapp.home = http://localhost:8380/repomanager-aai/openid_connect_login
+#webapp.front= http://localhost:8380/repomanager-aai/#dashboard
 
-redis.host = 127.0.0.1
\ No newline at end of file
+#redis.host = 127.0.0.1
\ No newline at end of file
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/WEB-INF/applicationContext.xml	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/WEB-INF/applicationContext.xml	(revision 51141)
@@ -3,8 +3,9 @@
 <beans xmlns="http://www.springframework.org/schema/beans"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:context="http://www.springframework.org/schema/context"
-       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
-	    http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd">
+       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.1.xsd
+		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.1.xsd"
+       >
 
 
 
@@ -24,17 +25,20 @@
     <import resource="classpath*:/gr/uoa/di/driver/app/springContext-registrator.xml"/>
     <import resource="classpath*:/eu/dnetlib/repos/springContext-repos-dms-cached.xml"/>
     <import resource="classpath*:/eu/dnetlib/gwt/**/springContext-widgets.xml"/>
+    <import resource="classpath*:/eu/dnetlib/repos/springContext-repos-dms-cached.xml"/>
 
+
     <import resource="classpath*:/eu/dnetlib/repo/manager/server/config/springContext-repo-manager.xml"/>
-    <!--<import resource="classpath*:/eu/dnetlib/repo/manager/server/config/aai-security.xml"/>
--->
-    <import resource="classpath*:/eu/dnetlib/repos/springContext-repos-dms-cached.xml"/>
+    <!--<import resource="classpath*:/eu/dnetlib/repo/manager/server/config/springContext-repo-manager-config.xml"/>-->
+    <import resource="classpath*:/eu/dnetlib/repo/manager/server/config/aai-security.xml"/>
+
+
     <import resource="classpath*:application-context.xml" />
 
+    <context:annotation-config/>
     <context:component-scan base-package="eu.dnetlib.repo.manager.server"/>
     <context:component-scan base-package="eu.dnetlib.repo.manager.service.controllers"/>
     <!--<context:component-scan base-package="gr.uoa.di.driver"/>-->
-    <context:annotation-config/>
 
 
     <bean class="eu.dnetlib.repo.manager.server.config.CascadingPropertyLoader"
@@ -53,10 +57,8 @@
                 <value>classpath*:/gr/**/springContext-*.properties</value>
                 <value>classpath*:/eu/**/springContext-*.properties</value>
 
-
                 <value>classpath*:/eu/dnetlib/repo/manager/server/email-texts.properties</value>
 
-
                 <value>classpath*:dnet-site-wizard.properties</value>
                 <value>classpath*:dnet-site-override.properties</value>
                 <value>classpath*:dnet-wizard.properties</value>
@@ -71,5 +73,4 @@
             </list>
         </property>
     </bean>
-
 </beans>
\ No newline at end of file
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/WEB-INF/web.xml
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/RepositoryManager.html
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/RepositoryManager.html	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/webapp/RepositoryManager.html	(revision 51141)
@@ -430,7 +430,7 @@
 
                             <ul class="uk-navbar-nav">
                                 <li class="uk-parent">
-                                    <a class="loginLink" href="http://localhost:8380/repomanager-aai/openid_connect_login">
+                                    <a class="loginLink" href="http://adonis.athenarc.gr:8080/repomanager-aai/openid_connect_login">
                                         <span class="uk-margin-small-right uk-icon"><svg height="20" ratio="1" viewBox="0 0 20 20" width="20" xmlns="http://www.w3.org/2000/svg"><circle cx="9.9" cy="6.4" fill="none" r="4.4" stroke="#000" stroke-width="1.1"></circle><path d="M1.5,19 C2.3,14.5 5.8,11.2 10,11.2 C14.2,11.2 17.7,14.6 18.5,19.2" fill="none" stroke="#000" stroke-width="1.1"></path></svg>
                                         </span>
                                          Sign in | Register
Index: modules/uoa-repository-manager-gui/branches/aai/pom.xml
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/pom.xml	(revision 51140)
+++ modules/uoa-repository-manager-gui/branches/aai/pom.xml	(revision 51141)
@@ -281,7 +281,7 @@
         </dependency>
 
 
-       <!-- <dependency>
+        <dependency>
             <groupId>org.springframework.session</groupId>
             <artifactId>spring-session-data-redis</artifactId>
             <version>1.3.1.RELEASE</version>
@@ -291,12 +291,18 @@
             <groupId>redis.clients</groupId>
             <artifactId>jedis</artifactId>
             <version>2.9.0</version>
-        </dependency>-->
+        </dependency>
 
         <dependency>
             <groupId>eu.dnetlib</groupId>
             <artifactId>uoa-repository-manager-service</artifactId>
             <version>1.0.0-SNAPSHOT</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>org.slf4j</groupId>
+                    <artifactId>slf4j-log4j12</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
     </dependencies>
 